Zoltan User's Guide | Next | Previous

## Block

A simple partitioner based on block partitioning of the objects. It is mainly intended for testing. It uses neither geometry nor connectivity (graph/hypergraph), so it requires very few query functions. The block strategy is as follows: Consider all objects (on all processors) as a linear sequence. Assign the first block of n/num_parts objects to the first part, the next block to the second, and so on. Block is smart enough to generalize this method to handle vertex weights and target part sizes. Only a single weight per object (Obj_Weight_Dim=1) is currently supported.

Method String: | Block
Parameters: |
Required Query Functions: |
| ZOLTAN_NUM_OBJ_FN
| ZOLTAN_OBJ_LIST_FN

[Table of Contents | Next: Cyclic | Previous: Simple Partitioners for Testing | Privacy and Security]